Subject: Re: af_packet.c bug?

From: Thomas Graf <[email-masked]>
Date: Mon, 28 Mar 2005 22:17:38 +0200

* Ben Greear <[email-masked]> 2005-03-28 12:08
> >Seems so, please adopt the size of spkt_device in struct sockaddr_pkt
> 
> you mean adapt maybe?

Of course, stupid typo. ;->

> I was also wondering why we couldn't hold a reference to the net-device
> instead of just it's ifindex when dealing with a bound raw socket.

Saving a netdevice handle in the packet socket is not a problem but
doing the same for the packet socket address seems to be non trivial.